com.genesyslab.wfm8.API.service.config851

## Class CfgContractWeekHours

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config851.CfgContractWeekHours

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgContractWeekHours
      extends java.lang.Object
      implements java.io.Serializable

  Contract Open Hours
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected int` | `wmDuration` Duration in minutes
    `protected double` | `wmStartTime` Start Time (`OleDateTime`)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgContractWeekHours()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getWmDuration()` Gets the value of the wmDuration property.
    `double` | `getWmStartTime()` Gets the value of the wmStartTime property.
    `int` | `hashCode()`
    `void` | `setWmDuration(int value)` Sets the value of the wmDuration property.
    `void` | `setWmStartTime(double value)` Sets the value of the wmStartTime property.
    `java.lang.String` | `toString()`
    `CfgContractWeekHours` | `withWmDuration(int value)`
    `CfgContractWeekHours` | `withWmStartTime(double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmStartTime

          protected double wmStartTime

      Start Time (`OleDateTime`)

    - #### wmDuration

          protected int wmDuration

      Duration in minutes

  - ### Constructor Detail

    - #### CfgContractWeekHours

          public CfgContractWeekHours()

  - ### Method Detail

    - #### getWmStartTime

          public double getWmStartTime()

      Gets the value of the wmStartTime property.

    - #### setWmStartTime

          public void setWmStartTime(double value)

      Sets the value of the wmStartTime property.

    - #### getWmDuration

          public int getWmDuration()

      Gets the value of the wmDuration property.

    - #### setWmDuration

          public void setWmDuration(int value)

      Sets the value of the wmDuration property.

    - #### withWmStartTime

          public CfgContractWeekHours withWmStartTime(double value)

    - #### withWmDuration

          public CfgContractWeekHours withWmDuration(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.